/*
 * K-scope
 * Copyright 2012-2013 RIKEN, Japan
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.riken.kscope.profiler.eprof;

import java.util.List;

/**
 * MPI情報
 * @author riken
 */
public class MpiInfo {
    /** MPI関数の数	int */
    private int mpiCount;
    /** MPI関数リスト */
    private List<MpiFunction> mpiFunctionList;

    /**
     * コンストラクタ
     */
    public MpiInfo() {

    }


    /**
     * MPI関数の数
     * @return		MPI関数の数
     */
    public int getMpiCount() {
        return mpiCount;
    }

    /**
     * MPI関数の数
     * @param count		MPI関数の数
     */
    public void setMpiCount(int count) {
        this.mpiCount = count;
    }


    /**
     * MPI関数リスト
     * @return MPI関数リスト
     */
    public List<MpiFunction> getMpiFunctionList() {
        return mpiFunctionList;
    }


    /**
     * MPI関数リスト
     * @param list		MPI関数リスト
     */
    public void setMpiFunctionList(List<MpiFunction> list) {
        this.mpiFunctionList = list;
    }

}

